Name:                hppc
Version:             0.7.1
Release:             1
Summary:             High Performance Primitive Collections for Java
License:             ASL 2.0
URL:                 http://labs.carrotsearch.com/hppc.html
Source0:             https://github.com/carrotsearch/hppc/archive/%{version}.tar.gz

BuildRequires:       maven-local mvn(com.google.guava:guava) mvn(commons-io:commons-io)
BuildRequires:       mvn(org.apache.ant:ant) mvn(org.apache.ant:ant-junit)
BuildRequires:       mvn(org.apache.maven:maven-core) mvn(org.apache.maven:maven-plugin-api)
BuildRequires:       mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires:       mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:       mvn(org.apache.velocity:velocity) mvn(org.sonatype.oss:oss-parent:pom:)
BuildRequires:       mvn(org.antlr:antlr4) mvn(org.antlr:antlr4-maven-plugin)
%if 0
# hppc-benchmarks deps
BuildRequires:       mvn(it.unimi.dsi:fastutil) mvn(net.openhft:koloboke-impl-jdk6-7:0.6.6)
BuildRequires:       mvn(org.openjdk.jmh:jmh-core) mvn(org.openjdk.jmh:jmh-generator-annprocess)

# test deps
BuildRequires:       mvn(junit:junit) mvn(com.carrotsearch.randomizedtesting:junit4-maven-plugin)
BuildRequires:       mvn(com.carrotsearch.randomizedtesting:randomizedtesting-runner)
BuildRequires:       mvn(org.assertj:assertj-core)
%endif
BuildArch:           noarch

%description
Fundamental data structures (maps, sets, lists, stacks, queues) generated for
combinations of object and primitive types to conserve JVM memory and speed
up execution.

%package templateprocessor
Summary:             HPPC Template Processor

%description templateprocessor
Template Processor and Code Generation for HPPC.

%package javadoc
Summary:             Javadoc for HPPC

%description javadoc
This package contains javadoc for HPPC.

%prep
%setup -q
find . -name "*.class" -print -delete
find . -name "*.jar" -print -delete
%pom_disable_module %{name}-benchmarks
%pom_remove_plugin :junit4-maven-plugin
%pom_remove_plugin :forbiddenapis
%pom_remove_plugin :junit4-maven-plugin hppc
%pom_remove_plugin -r :maven-assembly-plugin
for file in CHANGES.txt; do
 sed -i.orig 's|\r||g' $file
 touch -r $file.orig $file
 rm $file.orig
done
%mvn_file :%{name} %{name}
%mvn_package :%{name}::esoteric:
%mvn_file :%{name}-template-processor %{name}-templateprocessor
%mvn_package :%{name}-template-processor %{name}-templateprocessor

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc CHANGES.txt README.txt
%license LICENSE.txt NOTICE.txt

%files templateprocessor -f .mfiles-%{name}-templateprocessor
%license LICENSE.txt NOTICE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt NOTICE.txt

%changelog
* Wed Jul 29 2020 leiju <leiju4@huawei.com> - 0.7.1-1
- Package init
